Calendar
========

.. doxygenfunction:: GSM_CalendarFindDefaultTextTimeAlarmPhone
.. doxygenfunction:: GSM_EncodeVTODO
.. doxygenfunction:: GSM_EncodeVCALENDAR
.. doxygenfunction:: GSM_DecodeVNOTE
.. doxygenfunction:: GSM_EncodeVNTFile
.. doxygenfunction:: GSM_DecodeVCALENDAR_VTODO
.. doxygenfunction:: GSM_IsCalendarNoteFromThePast
.. doxygenfunction:: GSM_GetAlarm
.. doxygenfunction:: GSM_SetAlarm
.. doxygenfunction:: GSM_GetToDoStatus
.. doxygenfunction:: GSM_GetToDo
.. doxygenfunction:: GSM_GetNextToDo
.. doxygenfunction:: GSM_SetToDo
.. doxygenfunction:: GSM_AddToDo
.. doxygenfunction:: GSM_DeleteToDo
.. doxygenfunction:: GSM_DeleteAllToDo
.. doxygenfunction:: GSM_GetCalendarStatus
.. doxygenfunction:: GSM_GetCalendar
.. doxygenfunction:: GSM_GetNextCalendar
.. doxygenfunction:: GSM_SetCalendar
.. doxygenfunction:: GSM_AddCalendar
.. doxygenfunction:: GSM_DeleteCalendar
.. doxygenfunction:: GSM_DeleteAllCalendar
.. doxygenfunction:: GSM_GetCalendarSettings
.. doxygenfunction:: GSM_SetCalendarSettings
.. doxygenfunction:: GSM_GetNotesStatus
.. doxygenfunction:: GSM_GetNote
.. doxygenfunction:: GSM_GetNextNote
.. doxygenfunction:: GSM_SetNote
.. doxygenfunction:: GSM_AddNote
.. doxygenfunction:: GSM_DeleteNote
.. doxygenfunction:: GSM_DeleteAllNotes
.. doxygenstruct:: GSM_CalendarSettings
    :members:
.. doxygenstruct:: GSM_ToDoStatus
    :members:
.. doxygenstruct:: GSM_CalendarStatus
    :members:
.. doxygenenum:: GSM_CalendarNoteType
.. doxygenenum:: GSM_CalendarType
.. doxygenstruct:: GSM_SubCalendarEntry
    :members:
.. doxygenstruct:: GSM_CalendarEntry
    :members:
.. doxygenenum:: GSM_ToDoType
.. doxygenenum:: GSM_ToDo_Priority
.. doxygenstruct:: GSM_SubToDoEntry
    :members:
.. doxygenstruct:: GSM_ToDoEntry
    :members:
.. doxygenstruct:: GSM_NoteEntry
    :members:
.. doxygenstruct:: GSM_Alarm
    :members:
.. doxygenenum:: GSM_VToDoVersion
.. doxygenenum:: GSM_VCalendarVersion
